<!DOCTYPE html>
<html>

<head>

<meta charset="UTF-8">
<meta name=viewport content="width=device-width, initial-scale=1">


<title>Blog - Apache Drill</title>

<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
<link href='//fonts.googleapis.com/css?family=PT+Sans' rel='stylesheet' type='text/css'/>
<link href="/css/site.css" rel="stylesheet" type="text/css"/>

<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon"/>
<link rel="icon" href="/favicon.ico" type="image/x-icon"/>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js" language="javascript" type="text/javascript"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js" language="javascript" type="text/javascript"></script>
<script language="javascript" type="text/javascript" src="/js/modernizr.custom.js"></script>
<script language="javascript" type="text/javascript" src="/js/script.js"></script>
<script language="javascript" type="text/javascript" src="/js/drill.js"></script>

</head>


<body onResize="resized();">
  <div class="page-wrap">
    <div class="bui"></div>

<div id="menu" class="mw">
<ul>
  <li class='toc-categories'>
  <a class="expand-toc-icon" href="javascript:void(0);"><i class="fa fa-bars"></i></a>
  </li>
  <li class="logo"><a href="/"></a></li>
  <li class='expand-menu'>
  <a href="javascript:void(0);"><span class='menu-text'>Menu</span><span class='expand-icon'><i class="fa fa-bars"></i></span></a>
  </li>
  <li class='clear-float'></li>
  <li class="documentation-menu">
    <a href="/docs/">Documentation</a>
    <ul>
      
        <li><a href="/docs/getting-started/">Getting Started</a></li>
      
        <li><a href="/docs/architecture/">Architecture</a></li>
      
        <li><a href="/docs/tutorials/">Tutorials</a></li>
      
        <li><a href="/docs/install-drill/">Install Drill</a></li>
      
        <li><a href="/docs/configure-drill/">Configure Drill</a></li>
      
        <li><a href="/docs/connect-a-data-source/">Connect a Data Source</a></li>
      
        <li><a href="/docs/odbc-jdbc-interfaces/">ODBC/JDBC Interfaces</a></li>
      
        <li><a href="/docs/query-data/">Query Data</a></li>
      
        <li><a href="/docs/performance-tuning/">Performance Tuning</a></li>
      
        <li><a href="/docs/log-and-debug/">Log and Debug</a></li>
      
        <li><a href="/docs/sql-reference/">SQL Reference</a></li>
      
        <li><a href="/docs/data-sources-and-file-formats/">Data Sources and File Formats</a></li>
      
        <li><a href="/docs/develop-custom-functions/">Develop Custom Functions</a></li>
      
        <li><a href="/docs/troubleshooting/">Troubleshooting</a></li>
      
        <li><a href="/docs/developer-information/">Developer Information</a></li>
      
        <li><a href="/docs/release-notes/">Release Notes</a></li>
      
        <li><a href="/docs/sample-datasets/">Sample Datasets</a></li>
      
        <li><a href="/docs/archived-pages/">Archived Pages</a></li>
      
        <li><a href="/docs/progress-reports/">Progress Reports</a></li>
      
        <li><a href="/docs/project-bylaws/">Project Bylaws</a></li>
      
    </ul>
  </li>
  <li class='nav'>
    <a href="/community-resources/">Community</a>
    <ul>
      <li><a href="/team/">Team</a></li>
      <li><a href="/mailinglists/">Mailing Lists</a></li>
      <li><a href="/community-resources/">Community Resources</a></li>
    </ul>
  </li>
  <li class='nav'><a href="/faq/">FAQ</a></li>
  <li class='nav'><a href="/blog/">Blog</a></li>
  <li id="twitter-menu-item"><a href="https://twitter.com/apachedrill" title="apachedrill on twitter" target="_blank"><img src="/images/twitter_32_26_white.png" alt="twitter logo" align="center"></a> </li>
  <li class='search-bar'>
    <form id="drill-search-form">
      <input type="text" placeholder="Search Apache Drill" id="drill-search-term" />
      <button type="submit">
        <i class="fa fa-search"></i>
      </button>
    </form>
  </li>
  <li class="d">
    <a href="/download/">
      <i class="fa fa-cloud-download"></i> Download
    </a>
  </li>
</ul>
</div>

    <div class="int_title">
<h1>Blog</h1>
  
</div>

<div class="int_text" align="left"><!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/07/23/drill-tutorial-at-nosql-now-2015/">Drill Tutorial at NoSQL Now! 2015</a><br/>
<span class="post-date">Posted on Jul 23, 2015
by Tomer Shiran</span>
<br/>Attend the 3-hour Drill tutorial at the NoSQL Now! 2015 conference to learn more about Apache Drill.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/07/05/drill-1.1-released/">Drill 1.1 Released</a><br/>
<span class="post-date">Posted on Jul 5, 2015
by Jacques Nadeau</span>
<br/>Drill 1.1 has been released, providing window functions, automatic partitioning, improved MongoDB support and more. This release addresses 162 JIRAs.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/05/19/the-apache-software-foundation-announces-apache-drill-1.0/">The Apache Software Foundation Announces Apache Drill 1.0</a><br/>
<span class="post-date">Posted on May 19, 2015
by Tomer Shiran</span>
<br/>The Apache Software Foundation announced today the availability of Apache Drill 1.0, the schema-free SQL query engine for Apache Hadoop, NoSQL and cloud storage.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/05/19/drill-1.0-released/">Drill 1.0 Released</a><br/>
<span class="post-date">Posted on May 19, 2015
by Tomer Shiran, Jacques Nadeau</span>
<br/>Drill 1.0 has been released, representing a major milestone for the Drill community. Drill in now production-ready, making it easier than ever to explore and analyze data in non-relational datastores.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/05/04/drill-0.9-released/">Drill 0.9 Released</a><br/>
<span class="post-date">Posted on May 4, 2015
by Tomer Shiran, Jacques Nadeau</span>
<br/>The community has just released Drill 0.9, which includes 199 resolved JIRAs and numerous enhancements.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/04/30/apache-parquet-graudates-to-a-top-level-project/">Apache Parquet Graduates to a Top-Level Project</a><br/>
<span class="post-date">Posted on Apr 30, 2015
by Tomer Shiran</span>
<br/>The Apache Parquet project has graduated to a top-level project (TLP) at the Apache Software Foundation.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/03/31/drill-0.8-released/">Drill 0.8 Released</a><br/>
<span class="post-date">Posted on Mar 31, 2015
by Tomer Shiran, Jacques Nadeau</span>
<br/>The community has just released Drill 0.8, which includes 243 resolved JIRAs and numerous enhancements.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/03/23/microstrategy-announces-drill-support/">MicroStrategy Announces Drill Support</a><br/>
<span class="post-date">Posted on Mar 23, 2015
by Tomer Shiran</span>
<br/>MicroStrategy announced that it is now certified with Apache Drill, providing a first-class BI experience for Hadoop and NoSQL databases.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2015/01/27/schema-free-json-data-infrastructure/">Schema-free JSON Data Infrastructure</a><br/>
<span class="post-date">Posted on Jan 27, 2015
by Tomer Shiran</span>
<br/>JSON has emerged as the de-facto standard data exchange format. Data infrastructure technologies such as Apache Drill, MongoDB and Elasticsearch are embracing JSON as their native data models, bringing game-changing ease-of-use and agility to developers and analysts.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2014/12/23/drill-0.7-released/">Drill 0.7 Released</a><br/>
<span class="post-date">Posted on Dec 23, 2014
by Jacques Nadeau</span>
<br/>The community has just released Drill 0.7, which includes 228 resolved JIRAs and numerous enhancements.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2014/12/16/whats-coming-in-2015/">What's Coming in 2015?</a><br/>
<span class="post-date">Posted on Dec 16, 2014
by Tomer Shiran</span>
<br/>Drill is now a top-level project, and the community is expanding rapidly. Find out more about some of the new features planned for 2015.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2014/12/11/apache-drill-qa-panelist-spotlight/">Apache Drill Q&A Panelist Spotlight</a><br/>
<span class="post-date">Posted on Dec 11, 2014
by Tomer Shiran</span>
<br/>Join us on Twitter for a live Q&A on Wednesday, December 17.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2014/12/09/running-sql-queries-on-amazon-s3/">Running SQL Queries on Amazon S3</a><br/>
<span class="post-date">Posted on Dec 9, 2014
by Nick Amato</span>
<br/>Drill enables you to run SQL queries directly on data in S3. There's no need to ingest the data into a managed cluster or transform the data. This is a step-by-step tutorial on how to use Drill with S3.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2014/12/02/drill-top-level-project/">Apache Drill Graduates to a Top-Level Project</a><br/>
<span class="post-date">Posted on Dec 2, 2014
by Tomer Shiran</span>
<br/>Drill has graduated to a Top-Level Project at Apache. This marks a significant accomplishment for the Drill community, which now includes dozens of developers working at a variety of companies.</p>
<!-- previously: site.posts -->
<p><a class="post-link" href="/blog/2014/11/19/sql-on-mongodb/">SQL on MongoDB</a><br/>
<span class="post-date">Posted on Nov 19, 2014
by Anil Kumar Batchu, Kamesh Bhallamudi</span>
<br/>The MongoDB storage plugin for Drill enables analytical queries on MongoDB databases. Drill's schema-free JSON data model is a natural fit for MongoDB's data model.</p>

<p class="info">Want to contribute a blog post? Check out the source for some of the <a href="https://github.com/apache/drill/tree/gh-pages/blog/_posts">existing posts</a> to see how it's done. When you're ready, email your Markdown file to <a href="mailto:dev@drill.apache.org">dev@drill.apache.org</a>.</p>
<h1>Third-Party Articles</h1>
<!-- previously: site.posts -->
<p><a class="post-link" href="https://www.mapr.com/blog/how-turn-raw-data-yelp-insights-minutes-apache-drill">How to Turn Raw Data from Yelp into Insights in Minutes with Apache Drill</a> (Nov 13, 2014)<br/></p>
<!-- previously: site.posts -->
<p><a class="post-link" href="https://www.mapr.com/blog/how-use-sql-hadoop-drill-rest-json-nosql-and-hbase-simple-rest-client">How to Use SQL, Hadoop, Drill, REST, JSON, NoSQL, and HBase in a Simple REST Client</a> (Jan 6, 2015)<br/></p>
</div>

  </div>
  <p class="push"></p>
<div id="footer" class="mw">
<div class="wrapper">
Copyright © 2012-2014 The Apache Software Foundation, licensed under the Apache License, Version 2.0.<br>
Apache and the Apache feather logo are trademarks of The Apache Software Foundation. Other names appearing on the site may be trademarks of their respective owners.<br/><br/>
</div>
</div>

  <script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

ga('create', 'UA-53379651-1', 'auto');
ga('send', 'pageview');
</script>

</body>
</html>
